Subject: 24.0.95.1 Crash: Windows 7 using egg

From: Michael Kleehammer <[email-masked]>
Date: Fri, 27 Apr 2012 15:03:51 -0500

I can pretty consistently crash 24.0.95.1 (and could some previous
pre-releases).

Since I am on Windows, I'm not sure how to help debug this.  How can I
generate a useful stack trace for this?

The step that crashes is to add a new file to egg (the emacs git interface).

The steps to reproduce are:
 * Create an empty repository.
 * Create file1, add, and commit with our without egg.
 * Create 2 new files.
 * Run egg-status on the directory which will show 2 untracked files.
 * Put the cursor on the first untracked file and press 's' to stage it.

After the crash, the file is staged, so the error is probably during the
refresh of the status, but I am not sure.

Is there anything else I can do to test this?

I'm using msysgit: git version 1.7.7.msysgit.1

I am an admin on this box.

The information from report-emacs-bug (which I can't use because I can't
send email from it) is below.  Note that the recent input is not useful
since this is a new instance.

In GNU Emacs 24.0.95.1 (i386-mingw-nt6.1.7601)
 of 2012-04-02 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
-ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
-ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
-ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  iswitchb-mode: t
  cua-mode: t
  which-function-mode: t
  show-paren-mode: t
  icomplete-mode: t
  global-auto-revert-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  unify-8859-on-decoding-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x v e r s i o n <return> M-x r e p o r t - e m <tab>
<return>

Recent messages:
Loading ~/.emacs.d/init-05-cmode...done
Loading ~/.emacs.d/init-05-dired...done
Loading ~/.emacs.d/init-05-python...done
Loading ~/.emacs.d/init-05-sql...done
Loading ~/.emacs.d/init-07-compilation...done
Loading ~/.emacs.d/init-07-modes...done
Loading ~/.emacs.d/init-09-bindings...done
Loading c:/Users/Michael/.emacs.d/init-99-local.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
GNU Emacs 24.0.95.1 (i386-mingw-nt6.1.7601) of 2012-04-02 on MARVIN

Load-path shadows:
~/.emacs.d/custom hides c:/bin/emacs/lisp/custom
~/.emacs.d/misc/python hides c:/bin/emacs/lisp/progmodes/python

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums
mail-utils server windmove tramp tramp-compat auth-source eieio byte-opt
bytecomp byte-compile
cconv macroexp assoc gnus-util mm-util mail-prsvr password-cache shell
pcomplete format-spec
tramp-loaddefs ack-emacs thingatpt egg edmacro kmacro derived diff-mode
easy-mmode ffap
ediff-merg ediff-diff ediff-wind ediff-help ediff-util ediff-mult
ediff-init ediff electric cl
python-21 python dired-x easymenu dired compile comint regexp-opt
ansi-color ring undo-tree
uniquify iswitchb avoid cua-base browse-kill-ring+ browse-kill-ring advice
help-fns
advice-preload whitespace align2 align icomplete+ which-func imenu paren
icomplete autorevert
cus-start cus-load time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32
disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe
lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
lao korean japanese
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese case-table
epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule custom
widget
hashtable-print-readable backquote make-network-process multi-tty emacs)

Michael Kleehammer